#pragma once
#include "Entity.h"
#include "CS_PeLightFade.h"
#define CS_ENEMY_FIRESPRITERED_CREATENAME L"CS_enemy_firesprite_red"
//»ð¾«ÁéºìÉ«
class CS_Enemy_FireSpriteRed :
    public Entity
{
public:
    CS_Enemy_FireSpriteRed();
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void SetState(int stateID, int lr) override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    void Destroy() override;
    std::weak_ptr<CS_PeLightFade> peLight;
    std::weak_ptr<CS_PeLightFade> peLightColor;
};

std::shared_ptr<Entity> CreateCS_Enemy_FireSpriteRed();